<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZHardwareIndexPickupDataViewBase from './ibizhardware-index-pickup-data-view-base.vue';

import view_dataview from '@widgets/ibizhardware/index-type-dataview/index-type-dataview.vue';
@Component({
    components: {
        view_dataview, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZHardwareIndexPickupDataView extends IBIZHardwareIndexPickupDataViewBase {

}
</script>